unit uBizArticulos;

interface

uses
  uDAInterfaces, uDADataTable, schArticulosClient_Intf, uDBSelectionListUtils;

const
  BIZ_CLIENT_ARTICULO = 'Client.Articulo';

type
  IBizArticulo = interface(IArticulos)
  ['{647CC4D1-D018-41E1-8273-7E4759873A62}']
  end;

  TBizArticulo = class(TArticulosDataTableRules, IBizArticulo, ISeleccionable)
  protected
    FSeleccionableInterface : ISeleccionable;
  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;
    property SeleccionableInterface : ISeleccionable read FSeleccionableInterface
        write FSeleccionableInterface implements ISeleccionable;
  end;

implementation

uses
  uFactuGES_App, uDataTableUtils, SysUtils, uROClasses, Classes;

{ TBizArticulo }

constructor TBizArticulo.Create(aDataTable: TDADataTable);
begin
  inherited;

  FSeleccionableInterface := TSeleccionable.Create(aDataTable);
end;

destructor TBizArticulo.Destroy;
begin
  FSeleccionableInterface := NIL;
  inherited;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_ARTICULO, TBizArticulo);

finalization

end.
